Loading...
Searching...
No Matches
juce::Tolerance< Type > Class Template Reference

`#include <juce_MathsFunctions.h>`

## Public Member Functions

Tolerance | withAbsolute (Type newAbsolute)
Tolerance | withRelative (Type newRelative)
Type | getAbsolute () const
Type | getRelative () const

## Detailed Description

template<typename Type>
class juce::Tolerance< Type >

A class encapsulating both relative and absolute tolerances for use in floating-point comparisons.

See also
  approximatelyEqual, absoluteTolerance, relativeTolerance

Definition at line 215 of file juce_MathsFunctions.h.

## Member Function Documentation

## getAbsolute()

template<typename Type>

Type juce::Tolerance< Type >::getAbsolute | ( |  | ) | const

inline nodiscard

Definition at line 244 of file juce_MathsFunctions.h.

## getRelative()

template<typename Type>

Type juce::Tolerance< Type >::getRelative | ( |  | ) | const

inline nodiscard

Definition at line 245 of file juce_MathsFunctions.h.

## withAbsolute()

template<typename Type>

Tolerance juce::Tolerance< Type >::withAbsolute | ( | Type | newAbsolute | ) |

inline nodiscard

Returns a copy of this Tolerance object with a new absolute tolerance.

If you just need a Tolerance object with an absolute tolerance, it might be worth using the absoluteTolerance() function.

See also
  getAbsolute, absoluteTolerance

Definition at line 227 of file juce_MathsFunctions.h.

## withRelative()

template<typename Type>

Tolerance juce::Tolerance< Type >::withRelative | ( | Type | newRelative | ) |

inline nodiscard

Returns a copy of this Tolerance object with a new relative tolerance.

If you just need a Tolerance object with a relative tolerance, it might be worth using the relativeTolerance() function.

See also
  getRelative, relativeTolerance

Definition at line 239 of file juce_MathsFunctions.h.

The documentation for this class was generated from the following file:

- juce_MathsFunctions.h